SketchCornerBuilder Class

class NXOpen.SketchCornerBuilder

Bases: NXOpen.Builder

Create a corner between two sketch curves.

The curves will be trimmed or extended to the intersection point of the input curves. The reference point for each curve should be near the intersection point to designate which part of the curve to keep. It should be as close as possible to the curve.

To create a new instance of this class, use NXOpen.SketchCollection.CreateCornerBuilder()

New in version NX5.0.0.

Properties

Property Description
Curves Returns the curves to make a corner
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

Curves

SketchCornerBuilder.Curves

Returns the curves to make a corner

-------------------------------------

Getter Method

Signature Curves

Returns:
Return type:NXOpen.SelectCurveList

New in version NX5.0.0.

License requirements: None.

Method Detail

Validate

SketchCornerBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.